> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve events for an order

> Returns a list of events for the specified order.



## OpenAPI

````yaml GET /v1/orders/{id}/events/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/orders/{id}/events/:
    parameters:
      - name: id
        in: path
        required: true
        description: Order ID received from the POST request
        schema:
          type: string
        example: 48427a36d43c4d5aa6324bc06c692456
    get:
      tags:
        - Orders
      summary: Retrieve events for an order
      description: Returns a list of events for the specified order.
      operationId: v1_orders_events_list
      parameters:
        - name: include_refresh_orders
          in: query
          description: Whether to include events from refresh orders
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: List of events for the specified order
          content:
            application/json:
              schema:
                required:
                  - results
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrderEvent'
        '400':
          description: HTTP 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    OrderEvent:
      description: >-
        Represents an event that occurred during the order lifecycle, including
        order state changes, notification delivery events, and user interactions
      type: object
      required:
        - object
        - type
        - is_refresh
        - timestamp
        - order_id
      properties:
        object:
          description: The type of object this event relates to
          type: string
          enum:
            - order
            - notification
            - link
          example: order
        type:
          description: The specific action or state change that occurred
          type: string
          enum:
            - order_created
            - login_attempt
            - suborder_completed
            - suborder_canceled
            - suborder_expired
            - suborder_no_data
            - suborder_skipped
            - email_first_sent
            - email_first_delivery_error
            - email_first_delivered
            - email_first_link_opened
            - email_first_unsubscribed
            - email_reminder_sent
            - email_reminder_delivery_error
            - email_reminder_delivered
            - email_reminder_link_opened
            - email_reminder_unsubscribed
            - sms_first_sent
            - sms_first_delivery_error
            - sms_first_delivered
            - sms_first_link_opened
            - sms_first_unsubscribed
            - sms_reminder_sent
            - sms_reminder_delivery_error
            - sms_reminder_delivered
            - sms_reminder_link_opened
            - sms_reminder_unsubscribed
            - certification_completed
          example: order_created
        is_refresh:
          description: Whether this event belongs to a refresh order
          type: boolean
          example: false
        suborder_id:
          description: ID of the related suborder (employer, financial institution, etc.)
          type: string
          nullable: true
          example: f01b5641ac104074b7f5b376fb34691a
        task_id:
          description: ID of the related task
          type: string
          nullable: true
          example: 85aec5c06cc34a66cdc6a4c34febe1fe
        link_id:
          description: ID of the related link
          type: string
          nullable: true
          example: d3020b91e411417ea82d40b09998e454
        order_id:
          description: >-
            ID of the related order that produced this event (initial or
            refresh)
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        timestamp:
          description: Timestamp when the event occurred (ISO 8601)
          type: string
          format: date-time
          example: '2025-08-06T10:49:22.139861Z'
    Error400:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: incorrect_parameters
            message:
              description: ''
              type: string
              example: Incorrect request parameters
            extra:
              description: ''
              type: object
              properties:
                invalid-params:
                  description: ''
                  type: array
                  items:
                    description: ''
                    type: object
                    properties:
                      field:
                        description: ''
                        type: string
                        example: access_token
                      message:
                        description: ''
                        type: string
                        example: This field is required.
                  example:
                    - field: access_token
                      message: This field is required.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````